Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class ServiceGroupDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.ServiceGroupDO

    public class ServiceGroupDO

extends AbstractDataObject

Data object representing a service group in WSO2 WSAS

Constructor Summary
`ServiceGroupDO()`

Method Summary
`void` | `addModule(ModuleDO module)`
`void` | `addParameter(ServiceGroupParameterDO param)`
`void` | `addService(ServiceDO service)`
`boolean` | `equals(java.lang.Object o)`
`java.util.Set` | `getEngagedModules()`
`java.lang.String` | `getName()`
`ServiceGroupParameterDO` | `getParameter(java.lang.String paramName)`
`java.util.Set` | `getParameters()`
`java.lang.Long` | `getServiceArtifactUpdateTime()`
`java.util.Set` | `getServices()`
`int` | `hashCode()`
`void` | `setEngagedModules(java.util.Set engagedModules)`
`void` | `setName(java.lang.String name)`
`void` | `setParameters(java.util.Set parameters)`
`void` | `setServiceArtifactUpdateTime(java.lang.Long serviceArtifactUpdateTime)`
`void` | `setServices(java.util.Set services)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceGroupDO

    public ServiceGroupDO()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getServiceArtifactUpdateTime

    public java.lang.Long getServiceArtifactUpdateTime()

### setServiceArtifactUpdateTime

    public void setServiceArtifactUpdateTime(java.lang.Long serviceArtifactUpdateTime)

### getServices

    public java.util.Set getServices()

### setServices

    public void setServices(java.util.Set services)

### getEngagedModules

    public java.util.Set getEngagedModules()

### setEngagedModules

    public void setEngagedModules(java.util.Set engagedModules)

### getParameters

    public java.util.Set getParameters()

### setParameters

    public void setParameters(java.util.Set parameters)

### addService

    public void addService(ServiceDO service)

### addModule

    public void addModule(ModuleDO module)

### addParameter

    public void addParameter(ServiceGroupParameterDO param)

### getParameter

    public ServiceGroupParameterDO getParameter(java.lang.String paramName)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD